> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/virtual-machine-instance/cancelinstancetrafficpackagedowngrade.md).

# CancelInstanceTrafficPackageDowngrade

## 1. 接口描述

本接口(CancelInstanceTrafficPackageDowngrade)用于取消虚拟机实例流量包降配订单。

{% hint style="info" %}
**注意事项**

* 当虚拟机实例为预付费且实例的[`internetChargeType`](/api-reference/cn/legacy/vm/datastructure.md#internetchargetype)为`ByTrafficPackage`时，实例下调流量包大小时，将生成降配订单，该降配订单在下个续费周期生效，通过本接口可以取消下调流量包。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述        |
| ---------- | -- | ------ | --------- |
| instanceId | 是  | String | 待操作的实例ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 取消实例流量包降配订单**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelInstanceTrafficPackageDowngrade
<Common Request Params>

Request：
{
  "instanceId": "instanceId"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
